/*
 * 文 件 名:  BaseWeather
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2021/9/26
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.model;

import java.util.List;

/**
 * 天气基类
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2021/9/26]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class BaseWeather {
    /**
     * 天气枚举
     */
    protected List<String> weatherList;

    /**
     * 降雨现象，关键字映射
     */
    protected List<String> rainList;

    /**
     * 降雪现象
     */
    protected List<String> snowList;

    /**
     * 冰雹现象
     */
    protected String hailKey;

    /**
     * 露水现象
     */
    protected String dewKey;

    /**
     * 霜冻现象
     */
    protected String frostKey;

    /**
     * 雾（天）现象
     */
    protected List<String> fogList;

    /**
     * 雾霾
     */
    protected String hazeKey;

    /**
     * 沙尘
     */
    protected List<String> sandList;

    /**
     * 雷电
     */
    protected List<String> thunderList;

    /**
     * 风
     */
    protected List<String> windList;

    /**
     * 龙卷风
     */
    protected String tornadoKey;

    /**
     * 积雪
     */
    protected String snowCoverKey;

    /**
     * 冰冻
     */
    protected String frozenKey;

    public List<String> getWeatherList() {
        return weatherList;
    }

    public void setWeatherList(List<String> weatherList) {
        this.weatherList = weatherList;
    }

    public List<String> getRainList() {
        return rainList;
    }

    public void setRainList(List<String> rainList) {
        this.rainList = rainList;
    }

    public List<String> getSnowList() {
        return snowList;
    }

    public void setSnowList(List<String> snowList) {
        this.snowList = snowList;
    }

    public String getHailKey() {
        return hailKey;
    }

    public void setHailKey(String hailKey) {
        this.hailKey = hailKey;
    }

    public String getDewKey() {
        return dewKey;
    }

    public void setDewKey(String dewKey) {
        this.dewKey = dewKey;
    }

    public String getFrostKey() {
        return frostKey;
    }

    public void setFrostKey(String frostKey) {
        this.frostKey = frostKey;
    }

    public List<String> getFogList() {
        return fogList;
    }

    public void setFogList(List<String> fogList) {
        this.fogList = fogList;
    }

    public String getHazeKey() {
        return hazeKey;
    }

    public void setHazeKey(String hazeKey) {
        this.hazeKey = hazeKey;
    }

    public List<String> getSandList() {
        return sandList;
    }

    public void setSandList(List<String> sandList) {
        this.sandList = sandList;
    }

    public List<String> getThunderList() {
        return thunderList;
    }

    public void setThunderList(List<String> thunderList) {
        this.thunderList = thunderList;
    }

    public List<String> getWindList() {
        return windList;
    }

    public void setWindList(List<String> windList) {
        this.windList = windList;
    }

    public String getTornadoKey() {
        return tornadoKey;
    }

    public void setTornadoKey(String tornadoKey) {
        this.tornadoKey = tornadoKey;
    }

    public String getSnowCoverKey() {
        return snowCoverKey;
    }

    public void setSnowCoverKey(String snowCoverKey) {
        this.snowCoverKey = snowCoverKey;
    }

    public String getFrozenKey() {
        return frozenKey;
    }

    public void setFrozenKey(String frozenKey) {
        this.frozenKey = frozenKey;
    }
}